
\subsection{References}

\begin{frame}[allowframebreaks]{References}
	\setbeamertemplate{bibliography item}[triangle]
	\printbibliography
\end{frame}

\begin{frame}{CAD projection}
	\citefootline{\cite{McCallum1985}}

	\centering
	\includetikz{02b-cad-projection-mccallum}
\end{frame}

\begin{frame}{Minimal Infeasible Subsets \hfill{} \cite{Hentze2017}}
	\citefootline{\cite{Jaroschek2015} \cite{Chvatal1979}}

	\begin{columns}
		\begin{column}{0.5\textwidth}
			\begin{itemize}
				\item Set of constraints $\{c_1, c_2, \dots \}$ is infeasible
				\pause
				\item SAT solver learns: $\neg c_1 \lor \neg c_2 \lor \dots$
				\pause
				\item Infeasible \emph{subset} of these constraints
				\begin{itemize}
					\item Smaller conflict clause
					\item Excludes larger Boolean space
				\end{itemize}
				\item Huge improvements (in other logics...)
				\pause
				\item How to construct?
				\visible<12->{
				\item Significant improvements for MIS \dots
				}
				\visible<13->{
				\item but no effect on solver performance
				}
			\end{itemize}
		\end{column}
		\begin{column}{0.5\textwidth}
			\begin{center}
				\includetikz{02c-cad-mis-setcover}
			\end{center}
			\medskip
			
			\visible<13->{\scriptsize
				\input{experiments/output/table-cad-mis-beamer.tex}
			}
		\end{column}
	\end{columns}
\end{frame}

\begin{frame}{Using CAD for \dots}
	\citefootline{\cite{Brown2003} \cite{Fuhs2007}}

	\begin{columns}
		\begin{column}{0.5\textwidth}
			\dots Quantifier Elimination \hfill{} \cite{Neuhaeuser2018}

			\[
				\left( \Exists{x} \Forall{y} \varphi(x,y,z) \right) \Leftrightarrow \varphi'(z)
			\]

			\begin{itemize}
				\item \emph{Validation} of our CAD implementation
				\item Show \emph{reuse} of implementation
				\item Results comparable to \texttt{QEPCAD~B}
			\end{itemize}
		\end{column}\pause
		\begin{column}{0.5\textwidth}
			\dots Integer problems \hfill{} \citeown{Kremer2016}
			\[
				\Exists{x} \varphi(x) \qquad x \in \Z
			\]

			\begin{itemize}
				\item Common approach: \emph{bit-blasting} \\
					{\scriptsize mostly aims for \emph{small domains}}
				\item Our approach: \emph{Branch \& Bound} \\
					{\scriptsize mostly aims for \emph{algebraically easy} problems \& UNSAT}
			\end{itemize}
			\medskip
			{\scriptsize \input{experiments/output/table-cad-nia-beamer.tex}}
		\end{column}
	\end{columns}
\end{frame}

\begin{frame}{MCSAT history}
	\centering
	\includetikz{03a-mcsat-history}

	\nocite{Zeljic2016}
	\nocite{Graham2017}
	\nocite{Jovanovic2017a}
	\nocite{Bobot2018}
\end{frame}

\begin{frame}{Theory decisions}
	\begin{columns}
		\begin{column}{0.5\textwidth}
			\emph{Regular} assignment finder
			\begin{itemize}
				\item Collect \emph{univariate} constraints
				\item Compute \emph{sign-invariant regions}
				\item Sample from \emph{satisfying region}
				\item Essentially a \emph{one-dimensional CAD}
				\item Considers only \emph{next} theory variable
			\end{itemize}
		\end{column}
		\pause
		\begin{column}{0.5\textwidth}
			\emph{SMT-based} assignment finder
			\begin{itemize}
				\item Collect \emph{all} constraints
				\item Calls a \emph{full SMT solver}
				\item Uses \emph{model} as new theory assignment
				\item Considers \emph{multiple} theory variables at once
				\item \emph{Larger look ahead}
			\end{itemize}
		\end{column}
	\end{columns}
	\pause

	\centering
	\includetikz{03c-mcsat-plot-af}
\end{frame}

\begin{frame}{Comparison of \CDCLST and \MCSAT \hfill{} \citeown{Kremer2019}}
	\citefootline{\visible<3->{$^*$: terms and conditions apply}}

	\begin{itemize}
		\item Two \emph{similar proof systems}: \CDCLST and \MCSAT
		\item Experience: \MCSAT \emph{better for nonlinear}
		\item Goal: \emph{theoretic} comparison of \CDCLST and \MCSAT
		\pause
		\item \emph{Proof complexity}: asymptotic length of shortest proof
		\item Proof complexity is \emph{the same}$^*$
		\item The proof can be \emph{completely different}
		\pause
		\item \emph{Algorithmic equivalence}: polynomial simulation of another method
		\item \CDCLST and \MCSAT \emph{simulate each other}$^*$
		\item The proofs are \emph{logically equivalent}
	\end{itemize}
\end{frame}
